Which browsers are compatible with Echo360?

Explains what browsers work with Echo360

Echo360 is a web-based application, and as such does not have specific OS requirements. It does however, have certain browser requirements. While Echo360 can't necessarily test every version of every browser out there, they do test the more recent and most popular browsers/versions.

Tested Browsers

  • Google Chrome - most recent version
  • Firefox - most recent version
  • Safari - most recent version
  • Internet Explorer 11 and higher (including Edge, the Windows 10 native browser)

Beyond basic browser specifications, you are also strongly encouraged to Enable/Accept Cookies on your browser. This ensures that Echo360 can display content for you without problems.




Keywords:lecture capture, browser   Doc ID:83666
Owner:Stephen S.Group:University of Illinois at Chicago ACCC
Created:2018-07-13 13:04 CDTUpdated:2018-08-15 13:57 CDT
Sites:University of Illinois at Chicago ACCC
Feedback:  0   0